For the complete documentation index, see llms.txt. This page is also available as Markdown.

Regions

Geographic regions containing multiple playing areas and facilities.

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200

Returns a RegionCollection

application/json
_totalnumberRequired
get/regions
GET /apis/v2/regions HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Returns a RegionCollection

{
  "items": [
    {
      "id": "text",
      "slug": "text",
      "displayName": "text",
      "picture": {
        "id": "text"
      },
      "taxSettings": [
        "text"
      ],
      "settings": {
        "items": [
          {
            "id": "text",
            "value": {}
          }
        ],
        "_total": 1,
        "_links": {}
      },
      "errors": [
        {
          "code": "text",
          "message": "text",
          "details": {}
        }
      ],
      "_links": {}
    }
  ],
  "_total": 1
}
post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
idstringRequired
slugstringRequired
displayNamestringRequired
taxSettingsstring[]Required
_linksobjectRequired
Responses
201

Returns a Region

application/json
idstringRequired
slugstringRequired
displayNamestringRequired
taxSettingsstring[]Required
_linksobjectRequired
post/regions
POST /apis/v2/regions HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 166

{
  "id": "text",
  "slug": "text",
  "displayName": "text",
  "picture": {
    "id": "text"
  },
  "taxSettings": [
    "text"
  ],
  "settings": {
    "items": [
      {
        "value": {}
      }
    ],
    "_total": 1,
    "_links": {}
  },
  "_links": {}
}
{
  "id": "text",
  "slug": "text",
  "displayName": "text",
  "picture": {
    "id": "text"
  },
  "taxSettings": [
    "text"
  ],
  "settings": {
    "items": [
      {
        "id": "text",
        "value": {}
      }
    ],
    "_total": 1,
    "_links": {}
  },
  "errors": [
    {
      "code": "text",
      "message": "text",
      "details": {}
    }
  ],
  "_links": {}
}
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
regionIdstringRequiredExample: new-york
Responses
200

Returns a RegionDto

application/json
idstringRequired
slugstringRequired
displayNamestringRequired
taxSettingsstring[]Required
_linksobjectRequired
get/regions/{regionId}
GET /apis/v2/regions/{regionId} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Returns a RegionDto

{
  "id": "text",
  "slug": "text",
  "displayName": "text",
  "picture": {
    "id": "text"
  },
  "taxSettings": [
    "text"
  ],
  "settings": {
    "items": [
      {
        "id": "text",
        "value": {}
      }
    ],
    "_total": 1,
    "_links": {}
  },
  "errors": [
    {
      "code": "text",
      "message": "text",
      "details": {}
    }
  ],
  "_links": {}
}
delete
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
regionIdstringRequired
Body
idstringRequired
slugstringRequired
displayNamestringRequired
taxSettingsstring[]Required
_linksobjectRequired
Responses
201

Returns a Region

application/json
idstringRequired
slugstringRequired
displayNamestringRequired
taxSettingsstring[]Required
_linksobjectRequired
delete/regions/{regionId}
DELETE /apis/v2/regions/{regionId} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 166

{
  "id": "text",
  "slug": "text",
  "displayName": "text",
  "picture": {
    "id": "text"
  },
  "taxSettings": [
    "text"
  ],
  "settings": {
    "items": [
      {
        "value": {}
      }
    ],
    "_total": 1,
    "_links": {}
  },
  "_links": {}
}
201

Returns a Region

{
  "id": "text",
  "slug": "text",
  "displayName": "text",
  "picture": {
    "id": "text"
  },
  "taxSettings": [
    "text"
  ],
  "settings": {
    "items": [
      {
        "id": "text",
        "value": {}
      }
    ],
    "_total": 1,
    "_links": {}
  },
  "errors": [
    {
      "code": "text",
      "message": "text",
      "details": {}
    }
  ],
  "_links": {}
}
patch
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
regionIdstringRequired
Body
idstringRequired
slugstringRequired
displayNamestringRequired
taxSettingsstring[]Required
_linksobjectRequired
Responses
201

Returns a Region

application/json
idstringRequired
slugstringRequired
displayNamestringRequired
taxSettingsstring[]Required
_linksobjectRequired
patch/regions/{regionId}
PATCH /apis/v2/regions/{regionId} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 166

{
  "id": "text",
  "slug": "text",
  "displayName": "text",
  "picture": {
    "id": "text"
  },
  "taxSettings": [
    "text"
  ],
  "settings": {
    "items": [
      {
        "value": {}
      }
    ],
    "_total": 1,
    "_links": {}
  },
  "_links": {}
}
{
  "id": "text",
  "slug": "text",
  "displayName": "text",
  "picture": {
    "id": "text"
  },
  "taxSettings": [
    "text"
  ],
  "settings": {
    "items": [
      {
        "id": "text",
        "value": {}
      }
    ],
    "_total": 1,
    "_links": {}
  },
  "errors": [
    {
      "code": "text",
      "message": "text",
      "details": {}
    }
  ],
  "_links": {}
}
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200

Returns a Region

application/json
idstringRequired
slugstringRequired
displayNamestringRequired
taxSettingsstring[]Required
_linksobjectRequired
get/regions/closest
GET /apis/v2/regions/closest HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "text",
  "slug": "text",
  "displayName": "text",
  "picture": {
    "id": "text"
  },
  "taxSettings": [
    "text"
  ],
  "settings": {
    "items": [
      {
        "id": "text",
        "value": {}
      }
    ],
    "_total": 1,
    "_links": {}
  },
  "errors": [
    {
      "code": "text",
      "message": "text",
      "details": {}
    }
  ],
  "_links": {}
}
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
regionIdstringRequiredExample: new-york
Responses
200

Returns a RegionDto

application/json
_totalnumberRequired
_linksobjectRequired
get/regions/{regionId}/settings
GET /apis/v2/regions/{regionId}/settings HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Returns a RegionDto

{
  "items": [
    {
      "id": "text",
      "value": {}
    }
  ],
  "_total": 1,
  "_links": {}
}
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
regionIdstringRequiredExample: new-york
Query parameters
expandstring[]OptionalExample: ["items._links.availableCoaches"]
Responses
200

Returns a AreaCollectionDto

application/json
_totalnumberRequired
get/regions/{regionId}/areas
GET /apis/v2/regions/{regionId}/areas HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Returns a AreaCollectionDto

{
  "items": [
    {
      "id": "text",
      "slug": "text",
      "displayName": "text",
      "displayNameShort": "text",
      "status": "NOT_AVAILABLE",
      "comingSoonText": "text",
      "address": {
        "street": "text",
        "city": "text",
        "borough": "text",
        "zip": "text",
        "displayName": "text",
        "coordinates": {
          "latitude": 1,
          "longitude": 1
        }
      },
      "pods": {
        "items": [
          {
            "id": "text",
            "slug": "text",
            "displayName": "text",
            "displayNameShort": "text",
            "description": "text",
            "address": {
              "street": "text",
              "floor": "text",
              "city": "text",
              "zip": "text",
              "displayName": "text"
            },
            "timezone": "text",
            "type": "PRIVATE",
            "status": "NOT_AVAILABLE",
            "sport": "PICKLEBALL",
            "area": {},
            "tables": {
              "items": [
                {
                  "id": "text",
                  "slug": "text",
                  "displayName": "text",
                  "displayNameShort": "text",
                  "description": "text",
                  "type": "STANDARD",
                  "status": "AVAILABLE",
                  "features": [
                    "REPLAYS"
                  ],
                  "pod": {},
                  "settings": {
                    "items": [
                      {
                        "id": "text",
                        "value": {}
                      }
                    ],
                    "_total": 1,
                    "_links": {
                      "self": {
                        "href": "text"
                      }
                    }
                  },
                  "errors": [
                    {
                      "code": "text",
                      "message": "text",
                      "details": {}
                    }
                  ],
                  "_links": {}
                }
              ],
              "_total": 1,
              "_links": {
                "self": {
                  "href": "text"
                }
              }
            },
            "openTime": {
              "hours": 1,
              "minutes": 1
            },
            "closeTime": {
              "hours": 1,
              "minutes": 1
            },
            "closedTimeOverrides": {
              "items": [
                {
                  "id": "text",
                  "days": [
                    1
                  ],
                  "from": {
                    "hours": 1,
                    "minutes": 1
                  },
                  "to": {
                    "hours": 1,
                    "minutes": 1
                  }
                }
              ],
              "_total": 1,
              "_links": {
                "self": {
                  "href": "text"
                }
              }
            },
            "guests": {
              "private": {
                "min": "text",
                "max": "text"
              }
            },
            "rates": {},
            "settings": {
              "items": [
                {
                  "id": "text",
                  "value": {}
                }
              ],
              "_total": 1,
              "_links": {
                "self": {
                  "href": "text"
                }
              }
            },
            "errors": [
              {
                "code": "text",
                "message": "text",
                "details": {}
              }
            ],
            "_links": {}
          }
        ],
        "_total": 1,
        "_links": {
          "self": {
            "href": "text"
          }
        }
      },
      "availableCoaches": {
        "items": [
          {
            "id": "text",
            "status": "AVAILABLE",
            "startTime": "2026-01-01T00:00:00.000Z",
            "endTime": "2026-01-01T00:00:00.000Z",
            "area": {
              "id": "text"
            },
            "coach": {
              "id": "text",
              "user": {
                "id": "text"
              },
              "type": "REGULAR",
              "firstName": "text",
              "lastName": "text",
              "gender": "text",
              "birthday": "2026-01-01T00:00:00.000Z",
              "initials": "text",
              "description": "text",
              "picture": {},
              "usattRating": 1,
              "duprProfileUrl": "text",
              "memberSince": "2026-01-01T00:00:00.000Z",
              "membershipEnrollment": {},
              "kids": {},
              "_links": {},
              "settings": {
                "id": "text"
              },
              "tierSettings": {
                "id": "text"
              },
              "rateSettings": {
                "guests": 1,
                "hourlyRate": 1
              },
              "fullName": "text",
              "students": {
                "_total": 1
              },
              "slug": "text",
              "coachType": "ROBOT"
            },
            "_links": {}
          }
        ],
        "_total": 1,
        "_links": {
          "self": {
            "href": "text"
          }
        }
      },
      "picture": {
        "id": "text",
        "small": {
          "href": "text"
        },
        "medium": {
          "href": "text"
        },
        "large": {
          "href": "text"
        },
        "_links": {
          "self": {
            "href": "text"
          }
        }
      },
      "region": {
        "id": "text",
        "slug": "text",
        "displayName": "text",
        "picture": {
          "id": "text"
        },
        "taxSettings": [
          "text"
        ],
        "settings": {
          "items": [
            {
              "id": "text",
              "value": {}
            }
          ],
          "_total": 1,
          "_links": {}
        },
        "errors": [
          {
            "code": "text",
            "message": "text",
            "details": {}
          }
        ],
        "_links": {}
      },
      "settings": {
        "items": [
          {
            "id": "area.timezone",
            "value": {}
          }
        ],
        "_total": 1,
        "_links": {
          "self": {
            "href": "text"
          }
        }
      },
      "replaysPricing": {
        "quickReplay": {
          "enabled": true,
          "lengthSeconds": 1,
          "price": 1,
          "initialFree": 1
        },
        "customReplay": {
          "enabled": true,
          "minDurationSeconds": 1,
          "maxDurationSeconds": 1,
          "maxDaysToRequest": 1,
          "pricingIntervals": [
            {
              "minDurationSeconds": 1,
              "maxDurationSeconds": 1,
              "price": 1
            }
          ],
          "pricePerMinute": 1
        },
        "enhancedReplay": {
          "enabled": true,
          "pricePerMinute": 1
        }
      },
      "errors": [
        {
          "code": "text",
          "message": "text",
          "details": {}
        }
      ],
      "_links": {}
    }
  ],
  "_total": 1,
  "_links": {
    "self": {
      "href": "text"
    }
  }
}

Last updated

Was this helpful?